# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'spawncamp/version'

Gem::Specification.new do |spec|
  spec.name          = "spawncamp"
  spec.version       = Spawncamp::VERSION
  spec.authors       = ["Josh Burns"]
  spec.email         = ["admin@joshburns.cu.cc"]
  spec.summary       = "Small library for spawning and managing child processes"
  spec.description   = "Small library for spawning and managing child processes"
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "sdoc"
  spec.add_dependency "sys-proctable"
end
